[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.SetAutoScroll

Sets the value for the AutoScroll property.

## Declaration

Source position: forms.pp line 674

`protected procedure TCustomForm.SetAutoScroll(`
`Value: Boolean`
`); override;`

## Arguments

`Value` |  | New value for the property.

## Description

SetAutoScroll is an overridden method in TCustomForm used to set the value for the AutoScroll property. It calls the inherited method to apply the new property value, but includes an additional test for the BorderStyle used on the form. AutoScroll cannot be set to True when BorderStyle has a value other than bsSizeable or bsSizeToolWin.

## See also

TCustomForm.AutoScroll |  | Indicates if the form can automatically show or hide scroll bars.
TCustomForm.BorderStyle |  | The border style affects the title bar, border, icon(s), and resize behavior for the form.
TScrollingWinControl.SetAutoScroll |  | Sets the value for the AutoScroll property.